<p align="center">
  <a href="http://43.138.187.142:9000/vue-hooks-plus/docs/">
    <img width="216" src="http://43.138.187.142:9000/assets/vue-hooks-plus/logo@2x.png">
  </a>
</p>

<p align="center">
  <a href="https://www.npmjs.com/package/vue-hooks-plus"><img src="https://img.shields.io/npm/v/vue-hooks-plus.svg" alt="npm package"></a>
  <a href="https://github.com/InhiblabCore/vue-hooks-plus/actions/workflows/node-ci.yml"><img src="https://github.com/InhiblabCore/vue-hooks-plus/actions/workflows/node-ci.yml/badge.svg?branch=master" alt="build status"></a>
  <a href="#badge"><img src="https://img.shields.io/github/languages/top/InhiblabCore/vue-hooks-plus" alt="language"></a>
  <a href="https://img.badgesize.io/https:/unpkg.com/vue-hooks-plus/dist/js/index.es.js?label=gzip%20size&compression=gzip"><img src="https://img.badgesize.io/https:/unpkg.com/vue-hooks-plus/dist/js/index.es.js?label=gzip%20size&compression=gzip" alt="gzip"></a>
  <a href="#badge"><img src="https://img.shields.io/librariesio/github/InhiblabCore/vue-hooks-plus" alt="librariesio"></a>
  <a href="https://github.com/InhiblabCore/vue-hooks-plus/blob/master/LICENSE"><img src="https://img.shields.io/github/license/InhiblabCore/vue-hooks-plus" alt="LICENSE"></a>
</p>

<div align="center">

# VueHooks Plus

English | [简体中文](https://github.com/InhiblabCore/vue-hooks-plus/tree/master/README.zh-CN.md)

High-quality and reliable Vue3 Hooks library

</div>

## 📚 Documentation

See the [Documentation Guide](http://43.138.187.142:9000/vue-hooks-plus/docs/)

## ✨ Features

- Easy to learn and use
- Supports SSR
- Contains a comprehensive collection of basic Hooks
- A wide range of application scenarios
- Written in TypeScript with predictable static types
- Support the on-demand load, and reduce the packing volume

## 📦 Install

```
$ npm i vue-hooks-plus
# or
$ yarn add vue-hooks-plus
```

## 🔨 Usage

```typescript
import { useRequest } from 'vue-hooks-plus'

// or Introduced on demand

import useRequest from 'vue-hooks-plus/es/useRequest'
```

## 🏃 Start the document

hooks Dir

```
npm run initial
npm run docs:dev
```

# 🪴 Project Activity

![Alt](https://repobeats.axiom.co/api/embed/35dbca2274542c0144993be92cc51762227543d9.svg 'Repobeats analytics image')

# 🌸 Thanks

This project is heavily inspired by the following awesome projects.

- [react-use](https://github.com/streamich/react-use)
- [ahooks](https://ahooks.js.org/)
